Bug Hunting Session
Bug 102330 - Table borders appear from tables found in hidden text when text is hidden
Summary: Table borders appear from tables found in hidden text when text is hidden
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Formatting-Mark Font-Effects DOC-Tables
  Show dependency treegraph
 
Reported: 2016-09-21 18:35 UTC by Timur
Modified: 2018-10-02 07:50 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test case for tables in hidden text created in MSO.doc (28.14 KB, multipart/mixed)
2016-09-21 18:35 UTC, Timur
Details
test case for tables in hidden text - compare MSO-LO (52.78 KB, image/jpeg)
2016-09-21 18:39 UTC, Timur
Details
sample with doc, docx, rtf, odt (27.29 KB, application/zip)
2016-09-23 21:06 UTC, Yousuf Philips (jay) (retired)
Details
test case for tables in hidden text created in MSO.doc (28.00 KB, application/vnd.ms-word)
2016-09-24 06:54 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2016-09-21 18:35:39 UTC
Created attachment 127524 [details]
test case for tables in hidden text created in MSO.doc

Attached is DOC created in MSO 2010 as a test case for tables inserted in hidden text. Those tables should also be hidden. 
But, their borders are still seen in LO. Looks like inherited. 

Note: Text is hidden with Format > Character. It can be seen toggling Non-printing Characters, when Tools - Options - LibreOffice Writer - Formatting Aids - Hiden Text is checked.
Comment 1 Timur 2016-09-21 18:39:40 UTC
Created attachment 127525 [details]
test case for tables in hidden text - compare MSO-LO
Comment 2 Timur 2016-09-22 14:54:29 UTC
Issue comes from the LO logic for table inserted in hidden text. It's not hidden, neither table nor text in it.
So, when it opens DOC, table text is hidden but table borders are shown.
This may require another bug which blocks this one.
Comment 3 Yousuf Philips (jay) (retired) 2016-09-23 20:57:10 UTC Comment hidden (obsolete)
Comment 4 Yousuf Philips (jay) (retired) 2016-09-23 21:06:06 UTC
Created attachment 127583 [details]
sample with doc, docx, rtf, odt
Comment 5 Yousuf Philips (jay) (retired) 2016-09-23 21:14:45 UTC
So the problem happens with all document formats - odt, doc, docx and rtf - though in doc it also shows the first line of text that should be hidden, which turns out to be a regression introduced in 4.4.
Comment 6 Timur 2016-09-24 06:54:23 UTC
Created attachment 127596 [details]
test case for tables in hidden text created in MSO.doc
Comment 7 QA Administrators 2018-10-02 02:55:40 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug